package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.CodeList;
import com.sa.ibiz.demo.demo.service.dto.CodeListSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[CodeList] 服务对象接口
 */
public interface CodeListService extends IService<CodeList>{

		CodeList get(CodeList et);
	boolean remove(CodeList et);
	boolean update(CodeList et);
	boolean getDraft(CodeList et);
	boolean checkKey(CodeList et);
		CodeList refreshModel(CodeList et);
	boolean create(CodeList et);
    List<CodeList> listDefault(CodeListSearchFilter filter) ;
	Page<CodeList> searchDefault(CodeListSearchFilter filter);
	/**	 实体[CodeList] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }